# geda-gnetlist.spec

Name: 		geda-gnetlist
Version: 	20060123
Release: 	1
Summary: 	Netlister for the gEDA project
Group: 		Applications/Engineering
License: 	GPL
URL:		http://www.geda.seul.org
Source:		ftp://ftp.geda.seul.org/pub/geda/devel/20060123/geda-gnetlist-20060123.tar.gz
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:	libgeda-devel
BuildRequires:	guile
BuildRequires:	libpng-devel
Requires:	geda-symbols

%description
Gnetlist generates netlists from schematics drawn with gschem
(the gEDA schematic editor). Possible output formats are:
- native
- tango
- spice
- allegro
- PCB
- verilog
and others.

%define gedadocdir %{_datadir}/gEDA/docs


%prep
%setup -q

%build
%configure  --with-docdir=%{gedadocdir}
make all

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{gedadocdir}/readmes/*.txt
install -d $RPM_BUILD_ROOT%{gedadocdir}/vams
install -m 644 docs/vams/*.txt $RPM_BUILD_ROOT%{gedadocdir}/vams

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%dir %{gedadocdir}/vams
%dir %{gedadocdir}/readmes
%{_bindir}/gnetlist
%{_bindir}/mk_verilog_syms
%{_bindir}/sch2eaglepos.sh
%{_bindir}/sw2asc
%{_mandir}/man1/gnetlist.*
%{_datadir}/gEDA/scheme/*.scm
%{gedadocdir}/vams/*.txt
%{gedadocdir}/readmes/README.*
%{gedadocdir}/man/*
%{_datadir}/gEDA/system-gnetlistrc


%changelog
* Sat Mar 25 2006 joe_morris@ntm.org
- build on SuSE x86_64

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- recompiled with libgdgeda 2.0.9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0
- gnetlist.txt removed

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209
- some doc files added

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- man directory changed, some corrections, previous patch no more needed

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0
- bulild directory changed, patched for improper rc file location
- scheme directory added

* Mon Mar 7 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added '*' as manpage extension since Mandrake compresss it with 
bzip2 while redhat use gzip 
- rebuilt with latest rpm

* Fri Jul  7 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added ales' patch (gnetlist-20000704a.patch)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated %description
- removed (empty) 'NEWS' file from docs
- added 'gschem2pcb' executable
- updated to version 20000704

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19991011

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
